Bug 1431000 - Winbind core dumps when attempting to login as a disabled user in AD [NEEDINFO]
Summary: Winbind core dumps when attempting to login as a disabled user in AD
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: samba
Version: 6.8
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Andreas Schneider
QA Contact: qe-baseos-daemons
Lucie Maňásková
URL:
Whiteboard:
Depends On:
Blocks: 1504542
TreeView+ depends on / blocked
 
Reported: 2017-03-10 06:21 UTC by Venkata Tadimarri
Modified: 2018-06-19 05:10 UTC (History)
10 users (show)

Fixed In Version: samba-3.6.23-44.el6
Doc Type: Bug Fix
Doc Text:
Users disabled in AD now can connect to Windbinb Previously, the Winbind service failed to authenticate users, which were disabled in the Active Directory (AD), using the `netlogon` service. As a consequence, Winbind terminated unexpectedly. With this update, Winbind falls back to authenticate using netlogon if it is a primary trust. As a result, Windind now works as expected.
Clone Of:
Environment:
Last Closed: 2018-06-19 05:08:55 UTC
lmanasko: needinfo? (asn)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1860 None None None 2018-06-19 05:10:08 UTC

Description Venkata Tadimarri 2017-03-10 06:21:07 UTC
Created attachment 1261800 [details]
sosreport of the server

Description of problem:

Winbind generates core dump when attempting to login (ssh) as a user which is disabled in AD. This issue is observed in RHEL 5 and 6 but not in 7. 


Version-Release number of selected component (if applicable):

samba-winbind-3.6.23-36.el6_8.x86_64

How reproducible:


Steps to Reproduce:
1. Disable user in AD
2. Login with the user
3. Core dump is generated

Comment 4 Andreas Schneider 2017-03-21 10:53:28 UTC
We need debug logs showing the crash with debuginfo packages installed. The stacktrace just gives a hint but we need more information or a full backtrace from the coredump.

Comment 14 Venkata Tadimarri 2017-04-19 23:08:10 UTC
Hello Andreas,

Please find the requested information.

functional level is 2008r2.
The users are on the nbnme domain which has a trust with the nbndc domain.
The servers are connected to the nbndc domain and there is a trust between the domains.

Comment 15 Andreas Schneider 2017-04-20 14:36:34 UTC
I will try to reproduce it tomorrow.

Comment 47 errata-xmlrpc 2018-06-19 05:08:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1860


Note You need to log in before you can comment on or make changes to this bug.